Jump to content

[errore registrazione vecchi browser] questa nazione richiede la scelta di una provincia


iBMW
 Share

Recommended Posts

Salve, quando ci si prova a registrare sul sito con una vecchia versione di explorer (parliamo di un browser che ha almeno 4/5 anni senza mai essere aggiornato) e ad inserire l'indirizzo appare l'errore:

"questa nazione richiede la scelta di una provincia"

Con firefox, chrome e anche explorer se aggiornato, funziona.

Ho provato a cercare in rete, ma niente. Qualcuno ha risolto?

prestashop versione: 1.5.3.1

edit: ho temporaneamente "risolto" sostituendo il file address.tpl nella cartella del tema, il problema è che il file con cui ho sostituito ha un layout vecchissimo, sapete come posso modificarlo o renderlo migliore visivamente?

edit2: pensavo di rendere NON obbligatorio l'indicare la provincia  (State in inglese) in modo che chi non lo visualizza non gli dia errore. Come si può fare? Dal bo -> clienti -> indirizzi -> set required fields il campo "provincia" o "state" non compare

Edited by iBMW (see edit history)

Share this post


Link to post
Share on other sites

  • 5 years later...

Potresti avere un errore javascript nella pagina, ho notato che il campo provincia (e la visibilità di altri campi) avviene tramite jQuery. Se per qualche motivo c'è un errore (scoprilo con console - debug), il campo sparisce (resta hidden) e non è popolato da opzioni (trattino). Al submit Prestashop poi da errore che richiede una provincia.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More